## org.eclipse.datatools.modelbase.dbdefinition
Interface ViewDefinition

All Known Implementing Classes:
  ViewDefinitionImpl

public interface ViewDefinition

A representation of the model object 'View Definition'.

The following features are supported:

- `Maximum Identifier Length`

See Also:
  `DatabaseDefinitionPackage.getViewDefinition()`

Method Summary
`int` `getMaximumIdentifierLength()` Returns the value of the 'Maximum Identifier Length' attribute.
`void` `setMaximumIdentifierLength(int value)` Sets the value of the '`Maximum Identifier Length`' attribute.

Method Detail

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Returns the value of the 'Maximum Identifier Length' attribute.

  If the meaning of the 'Maximum Identifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getViewDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int value)

  Sets the value of the '`Maximum Identifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `getMaximumIdentifierLength()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.